JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
FilenameComponent::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » filebrowser

This abstract base class is implemented by LookAndFeel classes. More...

`#include <juce_FilenameComponent.h>`

Inheritance diagram for FilenameComponent::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual Button * | createFilenameComponentBrowseButton (const String &text)=0
virtual void | layoutFilenameComponent (FilenameComponent &, ComboBox *filenameBox, Button *browseButton)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual FilenameComponent::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ createFilenameComponentBrowseButton()

virtual Button * FilenameComponent::LookAndFeelMethods::createFilenameComponentBrowseButton | ( | const String & | text | ) |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ layoutFilenameComponent()

virtual void FilenameComponent::LookAndFeelMethods::layoutFilenameComponent | ( | FilenameComponent & | ,
|  | ComboBox * | filenameBox,
|  | Button * | browseButton )
| pure virtual

Implemented in LookAndFeel_V2.

The documentation for this struct was generated from the following file:

- juce_FilenameComponent.h